"""scale_unfold: convert bit-valued unfolding curves to physical values.

Uses spring calibration and assorted constants to scale data to pN vs nm.
"""

classifiers = """\
Development Status :: 2 - Pre-Alpha
Intended Audience :: Developers
Operating System :: POSIX
Operating System :: Unix
License :: OSI Approved :: GNU General Public License (GPL)
Programming Language :: Python
Topic :: Scientific/Engineering
Topic :: Software Development :: Libraries :: Python Modules
"""

# http://peak.telecommunity.com/DevCenter/setuptools#using-setuptools-without-bundling-it
import ez_setup
ez_setup.use_setuptools()

from setuptools import setup, find_packages

# patch distutils if it can't cope with the "classifiers" or
# "download_url" keywords
from sys import version
if version < '2.2.3':
    from distutils.dist import DistributionMetadata
    DistributionMetadata.classifiers = None
    DistributionMetadata.download_url = None

doclines = __doc__.split("\n")

from scale_unfold import VERSION

setup(name="scale_unfold",
      version=VERSION,
      maintainer="W. Trevor King",
      maintainer_email="wking@drexel.edu",
      url = "http://www.physics.drexel.edu/~wking/code/python/",
      download_url = "http://www.physics.drexel.edu/~wking/code/python/scale_unfold-%s.tar.gz" % VERSION,
      license = "GPL",
      platforms = ["all"],
      description = doclines[0],
      long_description = "\n".join(doclines[2:]),
      classifiers = filter(None, classifiers.split("\n")),
      py_modules = ['scale_unfold'],
      entry_points = {
        'console_scripts': [
            'scale_unfold = scale_unfold:main',
            ]
        }
      #packages = find_packages(),
      )

# use packages to include subdirectory packages
# use py_modules to include single-module packages
# use ext_modules to include extension modules
# see
#   http://www.python.org/doc/2.5.2/dist/listing-modules.html
#   http://www.python.org/doc/2.5.2/dist/describing-extensions.html
